#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'cmdpropertiesdialog_base.ui'
**
** Created: 2013-12-27T12:38:45
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "cmdpropertiesdialog_base.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CmdPropertiesDialog_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
CmdPropertiesDialog_base::CmdPropertiesDialog_base( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "CmdPropertiesDialog_base" );
    setSizeGripEnabled( TRUE );
    CmdPropertiesDialog_baseLayout = new QGridLayout( this, 1, 1, 11, 6, "CmdPropertiesDialog_baseLayout"); 

    mNameEdit = new QLineEdit( this, "mNameEdit" );

    CmdPropertiesDialog_baseLayout->addMultiCellWidget( mNameEdit, 0, 0, 1, 3 );

    mStringEdit = new QLineEdit( this, "mStringEdit" );

    CmdPropertiesDialog_baseLayout->addMultiCellWidget( mStringEdit, 1, 1, 1, 3 );

    TextLabel1 = new QLabel( this, "TextLabel1" );

    CmdPropertiesDialog_baseLayout->addWidget( TextLabel1, 0, 0 );

    TextLabel2 = new QLabel( this, "TextLabel2" );

    CmdPropertiesDialog_baseLayout->addWidget( TextLabel2, 1, 0 );

    mHexCheck = new QCheckBox( this, "mHexCheck" );

    CmdPropertiesDialog_baseLayout->addMultiCellWidget( mHexCheck, 3, 3, 0, 3 );

    mParameterList = new QListView( this, "mParameterList" );
    mParameterList->addColumn( tr2i18n( "Position" ) );
    mParameterList->addColumn( tr2i18n( "Parameter" ) );
    mParameterList->addColumn( tr2i18n( "Value" ) );

    CmdPropertiesDialog_baseLayout->addMultiCellWidget( mParameterList, 2, 2, 0, 3 );
    Horizontal_Spacing2 = new QSpacerItem( 79, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    CmdPropertiesDialog_baseLayout->addMultiCell( Horizontal_Spacing2, 4, 4, 0, 1 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );

    CmdPropertiesDialog_baseLayout->addWidget( buttonOk, 4, 2 );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );

    CmdPropertiesDialog_baseLayout->addWidget( buttonCancel, 4, 3 );
    languageChange();
    resize( QSize(323, 281).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mParameterList, SIGNAL( rightButtonClicked(QListViewItem*,const QPoint&,int) ), this, SLOT( editParameterName(QListViewItem*) ) );
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( slotAccept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CmdPropertiesDialog_base::~CmdPropertiesDialog_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CmdPropertiesDialog_base::languageChange()
{
    setCaption( tr2i18n( "Command Properties" ) );
    TextLabel1->setText( tr2i18n( "Name:" ) );
    TextLabel2->setText( tr2i18n( "String:" ) );
    mHexCheck->setText( tr2i18n( "Hex result" ) );
    mParameterList->header()->setLabel( 0, tr2i18n( "Position" ) );
    mParameterList->header()->setLabel( 1, tr2i18n( "Parameter" ) );
    mParameterList->header()->setLabel( 2, tr2i18n( "Value" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
}

void CmdPropertiesDialog_base::editParameterName(QListViewItem*)
{
    qWarning( "CmdPropertiesDialog_base::editParameterName(QListViewItem*): Not implemented yet" );
}

void CmdPropertiesDialog_base::slotAccept()
{
    qWarning( "CmdPropertiesDialog_base::slotAccept(): Not implemented yet" );
}

/****************************************************************************
** CmdPropertiesDialog_base meta object code from reading C++ file 'cmdpropertiesdialog_base.h'
**
** Created: Fri Dec 27 12:38:45 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "cmdpropertiesdialog_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CmdPropertiesDialog_base::className() const
{
    return "CmdPropertiesDialog_base";
}

QMetaObject *CmdPropertiesDialog_base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CmdPropertiesDialog_base( "CmdPropertiesDialog_base", &CmdPropertiesDialog_base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CmdPropertiesDialog_base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CmdPropertiesDialog_base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CmdPropertiesDialog_base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CmdPropertiesDialog_base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CmdPropertiesDialog_base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUParameter param_slot_0[] = {
	{ 0, &static_QUType_ptr, "QListViewItem", QUParameter::In }
    };
    static const QUMethod slot_0 = {"editParameterName", 1, param_slot_0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QUMethod slot_2 = {"slotAccept", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "editParameterName(QListViewItem*)", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected },
	{ "slotAccept()", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CmdPropertiesDialog_base", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CmdPropertiesDialog_base.setMetaObject( metaObj );
    return metaObj;
}

void* CmdPropertiesDialog_base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CmdPropertiesDialog_base" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool CmdPropertiesDialog_base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: editParameterName((QListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 1: languageChange(); break;
    case 2: slotAccept(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CmdPropertiesDialog_base::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CmdPropertiesDialog_base::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool CmdPropertiesDialog_base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
